## properties-cpp 0.0.1~bzr17+repack1

=== debian/changelog ===
properties-cpp (0.0.1~bzr17+repack1-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 20 May 2019 13:47:50 -0700

properties-cpp (0.0.1~bzr17+repack1-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 14 Sep 2018 18:45:57 +0200

properties-cpp (0.0.1~bzr17+repack1-3) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standars-Version: to 4.2.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 17:49:44 +0200

properties-cpp (0.0.1~bzr17+repack1-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Make build reproducible. (Closes: #883339).
  * debian/patches:
    + Add 1002_reproducible-builds.patch. Make Doxygen build reproducible.
  * debian/rules:
    + Remove Doxygen's result.txt prior to packaging up.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + Drop '.' from SYNOPSIS field.
  * debian/copyright:
    + Use secure URI for copyright format reference.
    + Add main Comment: field that explains why tarball was repacked.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Mar 2018 21:55:30 +0100

properties-cpp (0.0.1~bzr17+repack1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #882585).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Nov 2017 14:52:52 +0100

properties-cpp (0.0.1+14.10.20140730-0ubuntu1) utopic; urgency=low

  [ Marcus Tomlinson ]
  * Renamed "slots" to "slot_list" in signal.h as to avoid clashing with
    the "slots" Qt keyword. (LP: #1329743)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 30 Jul 2014 15:09:54 +0000

properties-cpp (0.0.1+14.04.20140220-0ubuntu1) trusty; urgency=low

  [ thomas-voss ]
  * Allow for dispatching setting and getting to functors.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Feb 2014 20:13:02 +0000

properties-cpp (0.0.1+14.04.20140121-0ubuntu1) trusty; urgency=low

  [ thomas-voss ]
  * Refactor to rely on default move-operator for core::Connection.
    Enable property chaining. Make sure that an abandoned connection
    safely accesses its private member. Make ScopedConnection a movable
    type.

  [ Łukasz 'sil2100' Zemczak ]
  * Let's get rid of lcov as a build-dep.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 12

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 21 Jan 2014 11:50:25 +0000

properties-cpp (0.0.1+14.04.20140110-0ubuntu1) trusty; urgency=low

  * Automatic snapshot from revision 9

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 10 Jan 2014 10:40:44 +0000

properties-cpp (0.0.1+14.04.20131216-0ubuntu1) trusty; urgency=low

  [ Thomas Voß ]
  * Initial release.

  [ thomas-voss ]
  * Initial commit.
  * Add packaging setup.
  * Add a README.md. Add a COPYING file.
  * Merged lp:~thomas-voss/properties-cpp/cleanup.
  * Merged lp:~thomas-voss/properties-cpp/adjust-namespace-to-core.
  * Merged lp:~thomas-voss/properties-cpp/fix-pkgconfig-include-path.
  * Removed license statements from build files.

  [ Timo Jyrinki ]
  * s/process-cpp/properties-cpp/ and expanding descriptions.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 8

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 16 Dec 2013 08:17:31 +0000
