=== debian/control ===
Source: properties-cpp
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               debhelper (>= 10~),
               doxygen,
               google-mock,
               graphviz,
               libgtest-dev,
               rdfind,
               symlinks,
Standards-Version: 4.2.0
Homepage: https://launchpad.net/properties-cpp
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/properties-cpp.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/properties-cpp

Package: libproperties-cpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Suggests: libproperties-cpp-doc
Depends: ${misc:Depends},
Description: C++11 library providing properties/signals - dev headers
 Properties-cpp is a C++11 library providing properties/signals.
 .
 This package includes all the development headers and libraries for
 properties-cpp.

Package: libproperties-cpp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Documentation files for libproperties-cpp-dev
 Properties-cpp is a C++11 library providing properties/signals.
 .
 This package includes the documentation files for the libproperties-cpp
 development.
