=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

include /usr/share/dpkg/pkg-info.mk

PKD   = $(word 2, abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE = +repack1
VER  ?= $(subst $(DTYPE),,$(UVER))
REV   = $(shell echo $(VER) | perl -ne 'print "$$1" if m/(?:git|svn|hg|bzr)(\d+)/;')

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_changelog:
	dh_changelog

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.bzr

override_dh_install:
	mkdir -p debian/tmp/usr/share/doc/libproperties-cpp-doc/html/
	mv debian/tmp/usr/share/doc/properties-cpp/html/* debian/tmp/usr/share/doc/libproperties-cpp-doc/html/
	cd debian/tmp/usr/share/doc/libproperties-cpp-doc/html/ && rdfind -makesymlinks true .
	cd debian/tmp/usr/share/doc/libproperties-cpp-doc/html/ && symlinks -c .
	rmdir debian/tmp/usr/share/doc/properties-cpp/html/
	rm debian/tmp/usr/share/doc/libproperties-cpp-doc/html/*.md5
	rm debian/tmp/usr/share/doc/libproperties-cpp-doc/html/results.txt
	dh_install

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

## checkout from bzr (add "bzr (>= 2.6.0~bzr6520)" to Build-Depends, see #666496)
UURL = lp:properties-cpp
$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	bzr checkout --hardlink --lightweight --revision=$(REV) $(UURL) $(PKG)-$(VER) \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Creating ChangeLog..."
	cd $(PKG)-$(VER) && bzr log --log-format=line > ChangeLog.bzr
	@echo "# Modifying..."
	cd $(PKG)-$(VER) && rm -Rfv \
	    .bzr-builddeb \
	    .bzr \
	    debian \
	    $(NULL)
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"
