=== debian/changelog ===
properties-cpp (0.0.2-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libproperties-cpp-doc: Add Multi-Arch: foreign.

  [ Mike Gabriel ]
  * debian/: Update upstream Git repo URL.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Jul 2022 16:46:21 +0200

properties-cpp (0.0.2-6) unstable; urgency=medium

  * debian/control:
    + Add B-D: pkg-config, required by 'find_package(GMock)' in cmake-extras.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 14:14:06 +0100

properties-cpp (0.0.2-5) unstable; urgency=medium

  * debian/control:
    + Update versioned B-D: cmake-extras (>= 1.5-5~). (Closes: #973163).
    + Switch from transitional google-gmock to googletest.
  * debian/patches:
    + Add README, explaining our patch naming scheme.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 09:42:13 +0100

properties-cpp (0.0.2-4) unstable; urgency=medium

  * debian/patches:
    + Improve 1002_reproducible-builds.patch. Make build reproducible again.
      (Closes: #961495). Thanks for Chris Lamb for providing the patch.
  * debian/control:
    + Bump DH compat level to version 13.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 18 Oct 2020 20:24:03 +0200

properties-cpp (0.0.2-3) unstable; urgency=medium

  * debian/rules:
    + Drop override_dh_installchangelogs. No ChangeLog.bzr file anymore.
      No upstream ChangeLog anymore at all for now.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Jan 2020 14:43:57 +0100

properties-cpp (0.0.2-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Move packaging Git over to Debian UBports team.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Jan 2020 12:46:46 +0100

properties-cpp (0.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/{copyright,rules}:
    + Don't repack orig tarball anymore.
  * debian/copyright:
    + Drop Upstream-Contact: field. Needs to be replaced later.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Jan 2020 11:46:06 +0100

properties-cpp (0.0.1~bzr17+repack1-4) unstable; urgency=medium

  * debian/copyright:
    + Add global Files-Excluded: field, drop global Comment: field.
    + Update copyright attributions.
  * debian/rules:
    + Leave orig tarball (re)packing to uscan.
  * debian/{control,copyright,watch}:
    + Let UBports project become our new upstream location.
  * debian/control:
    + Move package maintainership over to the new 'Debian UBports Team'.
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/upstream/metadata:
    + Add file. Be DEP-12 compliant.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Jan 2020 14:45:53 +0100
