=== debian/watch ===
version=4
opts=dversionmangle=s/\+repack1// \
https://gitlab.com/ubports/development/core/lib-cpp/properties-cpp/tags .*/properties-cpp-(\d\S+)\.tar\.gz
