=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
+find_package(PkgConfig REQUIRED)
 set (OLD_CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
 # Don't treat warnings as errors in 3rd_party/{gmock,cucumber-cpp}
 string (REPLACE " -Werror " " " CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
-find_package(Gtest REQUIRED)
+find_package(GMock REQUIRED)
 include_directories(${GMOCK_INCLUDE_DIR} ${GTEST_INCLUDE_DIR})
 set (CMAKE_CXX_FLAGS ${OLD_CMAKE_CXX_FLAGS})
 
@@ -31,3 +32,8 @@
 
 add_test(properties_test ${CMAKE_CURRENT_BINARY_DIR}/properties_test)
 add_test(signals_test ${CMAKE_CURRENT_BINARY_DIR}/signals_test)
+
+set(COVERAGE_TEST_TARGETS
+  properties_test signals_test
+  PARENT_SCOPE
+)
