=== debian/changelog ===
properties-cpp (0.0.3-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 13:11:11 +0200

properties-cpp (0.0.3-1) unstable; urgency=medium

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml

  [ Marius Gripsgard ]
  * New upstream version 0.0.3
  * debian/control: Bump Standards-version to 4.6.2
  * debian/patches: Drop patch, fixed upstream:
    - 1001_fix-FTBFS-in-gtest.patch

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 00:39:10 +0200
