=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: properties-cpp
 Section: libs
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
@@ -15,7 +16,7 @@
                pkg-config,
                rdfind,
                symlinks,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lib-cpp/properties-cpp/
 Vcs-Git: https://salsa.debian.org/ubports-team/properties-cpp.git
