=== debian/changelog ===
properties-cpp (0.0.4-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
    - Support building with CMake 4. (Closes: #1113424).
    - Support building against GTest >= 1.17.0. (Closes: #1114271).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + In B-D, switch from pkg-config to pkgconf. Thanks, lintian.
  * debian/copyright:
    + Update copyright attributions for debian/.

  [ Helmut Grohne ]
  * debian/rules:
    + Fix FTCBFS. Only enable testing if nocheck build option is not set.
      (Closes: #1030226).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Sep 2025 23:33:49 +0200

properties-cpp (0.0.3-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jan 2025 10:28:59 +0100
