=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: properties-cpp
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
@@ -13,10 +12,10 @@
                googletest,
                graphviz,
                libgtest-dev,
-               pkg-config,
+               pkgconf,
                rdfind,
                symlinks,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lib-cpp/properties-cpp/
 Vcs-Git: https://salsa.debian.org/ubports-team/properties-cpp.git
