=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DBUILD_TESTING=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
 
 override_dh_missing:
 	dh_missing --fail-missing
